<?php
/**
* Adds default settings for general settings - Price per Unit
*
* @package PricePerUnit/Admin
*/

if (!defined('ABSPATH')):
    exit; // Exit if accessed directly
endif;
// Is it new installation?
if ( false === get_option( '_mcmp_ppu_delete_meta' ) ) {
	//Do not process database upgrade for new installation.
	update_option( '_mcmp_ppu_db_version', MCMP_PPU_PLUGIN_VERSION );
}

$this->legacy_options_fix();
add_option('_mcmp_ppu_additional_text','');
add_option('_mcmp_ppu_hide_sale_price','no');
add_option('_mcmp_ppu_var_prefix_text','');
add_option('_mcmp_ppu_var_hide_max_price','no');
add_option('_mcmp_ppu_var_show_sale_price','no');
add_option('_mcmp_ppu_var_display_option_recalc', 'yes');
add_option('_mcmp_ppu_var_display_option_recalc_forced', 'no');
add_option('_mcmp_ppu_var_option_add_gen_suff_texts', 'no');
add_option('_mcmp_ppu_var_display_corresp_recalc_prices', 'no');
add_option('_mcmp_ppu_add_row_css', 'no');
add_option('_mcmp_ppu_general', 'add');
add_option('_mcmp_ppu_single_page', 'add');
add_option('_mcmp_ppu_cart_page', '_mcmp_ppu_single_page-add');
add_option('_mcmp_ppu_cart_show_sale_price', 'no');
add_option('_mcmp_ppu_orders_ppu_show', 'no');
add_option('_mcmp_ppu_recalc_text_prefix','');
add_option('_mcmp_ppu_recalc_text', '-automatic-');
add_option('_mcmp_ppu_recalc_text_automatic_preposition','/');
add_option('_mcmp_ppu_custom_unit_options', 'box|bunch|litre|pack|pair|piece');
add_option('_mcmp_ppu_recalc_text_options', '/pair|/bunch');
do_action( 'mcmp_ppu_wpml_reregister_ppu_options');
add_option('_mcmp_ppu_recalc_text_separate','yes');
add_option('_mcmp_ppu_disable_price_rounding','no');
add_option('_mcmp_ppu_display_additional_info','yes');
add_option('_mcmp_ppu_recalc_per_units', '');
add_option('_mcmp_ppu_element_classes', 'woocommerce-Price-currencySymbol amount');
add_option('_mcmp_ppu_use_price_meta', 'no');
add_option('_mcmp_ppu_add_ppu_orderby', 'no');
add_option('_mcmp_ppu_display_product_cols', 'no');
add_option('_mcmp_ppu_hook_priority', 1010);
add_option('_mcmp_ppu_delete_meta','no');
