<?php
/**
 * Delete WooCommerce Price Per Unit data if plugin is deleted.
 *
 * @since 1.0
 */
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) :
	exit;
endif;
if(get_option('_mcmp_ppu_delete_meta')=='yes'){
	global $wpdb;

	delete_post_meta_by_key( '_mcmp_ppu_general_override' );
	delete_post_meta_by_key( '_mcmp_ppu_single_page_override' );
	delete_post_meta_by_key( '_mcmp_ppu_recalc_text_prefix_override' );
	delete_post_meta_by_key( '_mcmp_ppu_recalc_text_override' );
	delete_post_meta_by_key( '_mcmp_ppu_additional_text_override');
	delete_post_meta_by_key( '_mcmp_ppu_custom_unit_override');
	delete_post_meta_by_key( '_mcmp_ppu_cust_num_of_units_override' );
	delete_post_meta_by_key( '_mcmp_ppu_additional_text_override' );
	delete_post_meta_by_key( '_mcmp_ppu_var_show_recalc' );
	delete_post_meta_by_key( '_mcmp_ppu_ratio_unit_override' );
	delete_post_meta_by_key( '_mcmp_ppu_recalc_per_units_override' );
	delete_post_meta_by_key( '_mcmp_ppu_price' );
	delete_post_meta_by_key( '_mcmp_ppu_price_text' );
	delete_post_meta_by_key( '_mcmp_ppu_price_min' );
	delete_post_meta_by_key( '_mcmp_ppu_price_max' );
	delete_option('mcmp_ppu_licence_key');
	delete_option('_mcmp_ppu_additional_text');
	delete_option('_mcmp_ppu_hide_sale_price');
	delete_option('_mcmp_ppu_var_prefix_text');
	delete_option('_mcmp_ppu_var_hide_max_price');
	delete_option('_mcmp_ppu_var_show_sale_price');
	delete_option('_mcmp_ppu_var_display_option_recalc');
	delete_option('_mcmp_ppu_var_display_option_recalc_forced');
	delete_option('_mcmp_ppu_var_option_add_gen_suff_texts');
	delete_option('_mcmp_ppu_var_display_corresp_recalc_prices');
	delete_option('_mcmp_ppu_add_row_css');
	delete_option('_mcmp_ppu_general');
	delete_option('_mcmp_ppu_single_page');
	delete_option('_mcmp_ppu_cart_page');
	delete_option('_mcmp_ppu_cart_show_sale_price');
	delete_option('_mcmp_ppu_orders_ppu_show');
	delete_option('_mcmp_ppu_recalc_text_prefix');
	delete_option('_mcmp_ppu_recalc_text');
	delete_option('_mcmp_ppu_recalc_text_automatic_preposition');
	delete_option('_mcmp_ppu_custom_unit_options');
	delete_option('_mcmp_ppu_recalc_text_options');
	delete_option('_mcmp_ppu_recalc_text_separate');
	delete_option('_mcmp_ppu_disable_price_rounding');
	delete_option('_mcmp_ppu_display_additional_info');
	delete_option('_mcmp_ppu_recalc_per_units');
	delete_option('_mcmp_ppu_use_price_meta');
	delete_option('_mcmp_ppu_add_ppu_orderby');
	delete_option('_mcmp_ppu_display_product_cols');
	delete_option('_mcmp_ppu_hook_priority');
	delete_option('_mcmp_ppu_delete_meta');
	//Clean-up WPML strings if they exist.
	$table_name = "{$wpdb->prefix}icl_strings";
	$query = $wpdb->prepare( 'SHOW TABLES LIKE %s', $wpdb->esc_like( $table_name ) );
	if ( $wpdb->get_var( $query ) == $table_name ) {
		$sql_prep = $wpdb->prepare( "DELETE FROM {$wpdb->prefix}icl_strings
			WHERE context=%s", 'Price per Unit PRO');
		$wpdb->query($sql_prep);
	}
}